Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZProjectType Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $relations=false)
| get ( $id=-1)
| fill (&$consulttype_array)
| setName ( $name)
| setExpiryTime ( $value)
| setWarningTime ( $value)
| id ()
| name ()
| expiryTime ()
| warningTime ()
& | count ()
| moveUp ()
| moveDown ()

## Static Public Member Functions
static & | findTypes ( $as_object=true)

## Public Attributes
| $ID
| $Name
| $ListOrder
| $ExpiryTime
| $WarningTime

## Detailed Description

! eZContact eZProjectType handles project types.

Example code:

$type = new eZProjectType();
$type->setName( "Negotiating" );
$type->store();
$stored_type = new eZProjectType( $consultID );
$types = eZProjectType::findTypes();
foreach ( $types as $type )
{
print( $type->name() );
}
$types
$types
Definition: articlepreview.php:108
eZProjectType
Definition: ezprojecttype.php:54
eZProjectType\findTypes
static & findTypes( $as_object=true)
Definition: ezprojecttype.php:262
$type
$type
Definition: classes/admin/linkselect.php:220

See also
  eZProject

Definition at line 53 of file ezprojecttype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZProjectType::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZProjectType object.

If $id is set the object's values are fetched from the database.

Definition at line 61 of file ezprojecttype.php.

References $id, $ID, and fill().

## Member Function Documentation

## ◆ count()

& eZProjectType::count | ( |  | ) |

Returns the number of external items using this item.

Definition at line 212 of file ezprojecttype.php.

References $db, and eZDB\globalDatabase().

Referenced by store().

## ◆ delete()

eZProjectType::delete | ( |  | $relations = `false` | ) |

Deletes an eZProject object from the database, if $relations is true all relations to this item is deleted too.

Definition at line 120 of file ezprojecttype.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ expiryTime()

eZProjectType::expiryTime | ( |  | ) |

Definition at line 199 of file ezprojecttype.php.

References $ExpiryTime.

## ◆ fill()

eZProjectType::fill | ( | & | $consulttype_array | ) |

Fills in information to the object taken from the array.

Definition at line 155 of file ezprojecttype.php.

References $db, eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ findTypes()

static& eZProjectType::findTypes | ( |  | $as_object = `true` | ) |
| static

Finds all project types. Returns an array with eZProjectType objects taken from the database.

Definition at line 262 of file ezprojecttype.php.

References $db, and eZDB\globalDatabase().

## ◆ get()

eZProjectType::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 137 of file ezprojecttype.php.

References $db, $id, $ret, fill(), and eZDB\globalDatabase().

## ◆ id()

eZProjectType::id | ( |  | ) |

Returns the id of the project type.

Definition at line 186 of file ezprojecttype.php.

References $ID.

## ◆ moveDown()

eZProjectType::moveDown | ( |  | ) |

Moves this item down one step in the order list, this means that it will swap place with the item below.

Definition at line 243 of file ezprojecttype.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ moveUp()

eZProjectType::moveUp | ( |  | ) |

Moves this item up one step in the order list, this means that it will swap place with the item above.

Definition at line 227 of file ezprojecttype.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ name()

eZProjectType::name | ( |  | ) |

Returns the name of the project type.

Definition at line 194 of file ezprojecttype.php.

References $Name.

## ◆ setExpiryTime()

eZProjectType::setExpiryTime | ( |  | $value | ) |

Definition at line 173 of file ezprojecttype.php.

## ◆ setName()

eZProjectType::setName | ( |  | $name | ) |

Sets the name of the project type.

Definition at line 168 of file ezprojecttype.php.

References $name, and Name.

## ◆ setWarningTime()

eZProjectType::setWarningTime | ( |  | $value | ) |

Definition at line 178 of file ezprojecttype.php.

## ◆ store()

eZProjectType::store | ( |  | ) |

Stores the project type to the database.

Definition at line 80 of file ezprojecttype.php.

References $db, $name, $res, count(), eZDB\finish(), eZDB\globalDatabase(), and Name.

## ◆ warningTime()

eZProjectType::warningTime | ( |  | ) |

Definition at line 204 of file ezprojecttype.php.

References $WarningTime.

## Member Data Documentation

## ◆ $ExpiryTime

eZProjectType::$ExpiryTime

Definition at line 292 of file ezprojecttype.php.

Referenced by expiryTime().

## ◆ $ID

eZProjectType::$ID

Definition at line 289 of file ezprojecttype.php.

Referenced by __construct(), and id().

## ◆ $ListOrder

eZProjectType::$ListOrder

Definition at line 291 of file ezprojecttype.php.

## ◆ $Name

eZProjectType::$Name

Definition at line 290 of file ezprojecttype.php.

Referenced by name().

## ◆ $WarningTime

eZProjectType::$WarningTime

Definition at line 293 of file ezprojecttype.php.

Referenced by warningTime().

The documentation for this class was generated from the following file:

- ezprojecttype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.